Skip to content

Create Task

POST https://www.kkiai.com/volc/v1/contents/generations/tasks

Official Documentation: https://www.volcengine.com/docs/82379/1520757

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringOptionalapplication/json
AcceptstringOptionalapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
modelstringRequireddoubao-seedance-1-5-pro-251215 Supports: text-to-video, first frame, first and last frame doubao-seedance-1-0-pro-250528 Supports: text-to-video, first frame, first and last frame doubao-seedance-1-0-pro-fast-251015 Supports: text-to-video, first frame doubao-seedance-1-0-lite-t2v-250428 Supports: text-to-video doubao-seedance-1-0-lite-i2v-250428 Supports: first frame, first and last frame, reference image (1-4)
contentarray[object]RequiredInformation input to the model for video generation, supporting text and image information.
  └ typestringRequiredType of input content: text represents text image_url represents image
  └ textstringRequiredText content input to the model, describing the expected video to be generated, including: Text prompt (required): Supports Chinese and English. Recommended not to exceed 500 characters. Excessive text can scatter information, and the model may ignore details and focus only on key points, resulting in missing elements in the video.
  └ image_urlobjectOptionalImage object input to the model.
  └ rolestringOptionalImage purpose: reference_image represents reference image first_frame represents first frame This parameter can be omitted when only using first frame last_frame represents last frame
generate_audiobooleanOptionalControls whether the generated video includes audio synchronized with the visuals. true: The video output by the model includes synchronized audio. Seedance 1.5 pro can automatically generate matching human voice, sound effects, and background music based on text prompts and visual content. It is recommended to place dialogue within double quotes to optimize audio generation. For example: The man called out to the woman saying: "Remember, you can never point at the moon with your finger." false: The video output by the model is silent. Note: This parameter is only supported by Seedance 1.5 pro model Default value: true
-- ParametersobjectOptionalThe following parameters need to be added after the prompt in the form of -- , refer to examples
  └ resolutionstringOptionalVideo resolution, enumerated values: 480p 720p 1080p: Not supported in reference image scenarios Seedance 1.5 pro, Seedance 1.0 lite Default value: 720p Seedance 1.0 pro & pro-fast Default value: 1080p
  └ ratiostringOptionalAspect ratio of generated video: 16:9 4:3 1:1 3:4 9:16 21:9 Text-to-video: Default value 16:9 (Seedance 1.5 Pro defaults to adaptive) Image-to-video: Default adaptive (reference image video generation defaults to 16:9)
  └ durationintegerOptionalDuration of generated video in seconds. Supports 2-12 seconds Seedance 1.5 pro only supports 4-12 seconds Default value 5
  └ camera_fixedstringOptionalWhether to fix the camera. Enumerated values: true: Fix the camera. The platform will append fixed camera to the user prompt, actual results not guaranteed. false: Do not fix the camera. Note: Not supported in reference image scenarios Default value false
  └ watermarkstringOptionalWhether the generated video includes a watermark. Enumerated values: false: No watermark. true: Contains watermark. Default value false
  └ seedintegerOptionalSeed integer used to control the randomness of generated content. Value range: Integer between [-1, 2^32-1]. Note: Under the same request, if the model receives different seed values, such as: not specifying a seed value or setting seed to -1 (which uses a random number instead), or manually changing the seed value, different results will be generated. Under the same request, if the model receives the same seed value, similar results will be generated, but complete consistency is not guaranteed. Default value -1 Cannot input -1 when passing

Request Example

json
{
    "model": "doubao-seedance-1-0-pro-fast-251015",
    "content": [
        {
            "type": "text",
            "text": "Photorealistic style, under a clear blue sky, a vast field of white daisies. The camera slowly pushes in, gradually moving closer, and finally stops on a close-up of a single daisy with several sparkling dewdrops on its petals. --resolution 480p --ratio 16:9 --duration 2 --camera_fixed false --watermark false --seed 1"
        }
    ]
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/volc/v1/contents/generations/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seedance-1-0-pro-fast-251015",
    "content": [
        {
            "type": "text",
            "text": "Photorealistic style, under a clear blue sky, a vast field of white daisies. The camera slowly pushes in, gradually moving closer, and finally stops on a close-up of a single daisy with several sparkling dewdrops on its petals. --resolution 480p --ratio 16:9 --duration 2 --camera_fixed false --watermark false --seed 1"
        }
    ]
}'

Response

🟢 200 Success

Response Example

json
{
    "id": "cgt-20250918165243-bfpzb",
    "status": "submitted"
}